﻿namespace TestProject
{
    /// <summary>
    /// 운영 체제 타입 값
    /// </summary>
    public enum OSTypeValue
    {
        /// <summary>
        /// Unknown0
        /// </summary>
        Unknown0 = 0,
            
        /// <summary>
        /// Other0
        /// </summary>
        Other0 = 1,
            
        /// <summary>
        /// MACOS
        /// </summary>
        MACOS = 2,
            
        /// <summary>
        /// ATTUNIX
        /// </summary>
        ATTUNIX = 3,
            
        /// <summary>
        /// DGUX
        /// </summary>
        DGUX = 4,
            
        /// <summary>
        /// DECNT
        /// </summary>
        DECNT = 5,
            
        /// <summary>
        /// DigitalUnix
        /// </summary>
        DigitalUnix = 6,
            
        /// <summary>
        /// OpenVMS
        /// </summary>
        OpenVMS = 7,
            
        /// <summary>
        /// HPUX
        /// </summary>
        HPUX = 8,
           
        /// <summary>
        /// AIX
        /// </summary>
        AIX = 9,
           
        /// <summary>
        /// MVS
        /// </summary>
        MVS = 10,
            
        /// <summary>
        /// OS400
        /// </summary>
        OS400 = 11,
            
        /// <summary>
        /// OS_2
        /// </summary>
        OS_2 = 12,
            
        /// <summary>
        /// JavaVM
        /// </summary>
        JavaVM = 13,
            
        /// <summary>
        /// MSDOS
        /// </summary>
        MSDOS = 14,
            
        /// <summary>
        /// WIN3x
        /// </summary>
        WIN3x = 15,
            
        /// <summary>
        /// WIN95
        /// </summary>
        WIN95 = 16,
            
        /// <summary>
        /// WIN98
        /// </summary>
        WIN98 = 17,
            
        /// <summary>
        /// WINNT
        /// </summary>
        WINNT = 18,
            
        /// <summary>
        /// WINCE
        /// </summary>
        WINCE = 19,
            
        /// <summary>
        /// NCR3000
        /// </summary>
        NCR3000 = 20,
            
        /// <summary>
        /// NetWare
        /// </summary>
        NetWare = 21,
           
        /// <summary>
        /// OSF
        /// </summary>
        OSF = 22,
            
        /// <summary>
        /// DCOS
        /// </summary>
        DCOS = 23,
            
        /// <summary>
        /// ReliantUNIX
        /// </summary>
        ReliantUNIX = 24,
            
        /// <summary>
        /// SCOUnixWare
        /// </summary>
        SCOUnixWare = 25,
            
        /// <summary>
        /// SCOOpenServer
        /// </summary>
        SCOOpenServer = 26,
            
        /// <summary>
        /// Sequent
        /// </summary>
        Sequent = 27,
            
        /// <summary>
        /// IRIX
        /// </summary>
        IRIX = 28,
            
        /// <summary>
        /// Solaris
        /// </summary>
        Solaris = 29,
            
        /// <summary>
        /// SunOS
        /// </summary>
        SunOS = 30,
            
        /// <summary>
        /// U6000
        /// </summary>
        U6000 = 31,
            
        /// <summary>
        /// ASERIES
        /// </summary>
        ASERIES = 32,
            
        /// <summary>
        /// TandemNSK
        /// </summary>
        TandemNSK = 33,
            
        /// <summary>
        /// TandemNT
        /// </summary>
        TandemNT = 34,
            
        /// <summary>
        /// BS2000
        /// </summary>
        BS2000 = 35,
            
        /// <summary>
        /// LINUX
        /// </summary>
        LINUX = 36,
            
        /// <summary>
        /// Lynx
        /// </summary>
        Lynx = 37,
            
        /// <summary>
        /// XENIX
        /// </summary>
        XENIX = 38,
            
        /// <summary>
        /// VMESA
        /// </summary>
        VMESA = 39,
            
        /// <summary>
        /// InteractiveUNIX
        /// </summary>
        InteractiveUNIX = 40,
            
        /// <summary>
        /// BSDUNIX
        /// </summary>
        BSDUNIX = 41,
            
        /// <summary>
        /// FreeBSD
        /// </summary>
        FreeBSD = 42,
            
        /// <summary>
        /// NetBSD
        /// </summary>
        NetBSD = 43,
            
        /// <summary>
        /// GNUHurd
        /// </summary>
        GNUHurd = 44,
           
        /// <summary>
        /// OS9
        /// </summary>
        OS9 = 45,
            
        /// <summary>
        /// MACHKernel
        /// </summary>
        MACHKernel = 46,
            
        /// <summary>
        /// Inferno
        /// </summary>
        Inferno = 47,
        
        /// <summary>
        /// QNX
        /// </summary>
        QNX = 48,
            
        /// <summary>
        /// EPOC
        /// </summary>
        EPOC = 49,
            
        /// <summary>
        /// IxWorks
        /// </summary>
        IxWorks = 50,
            
        /// <summary>
        /// VxWorks
        /// </summary>
        VxWorks = 51,
            
        /// <summary>
        /// MiNT
        /// </summary>
        MiNT = 52,
            
        /// <summary>
        /// BeOS
        /// </summary>
        BeOS = 53,
            
        /// <summary>
        /// HPMPE
        /// </summary>
        HPMPE = 54,
            
        /// <summary>
        /// NextStep
        /// </summary>
        NextStep = 55,
            
        /// <summary>
        /// PalmPilot
        /// </summary>
        PalmPilot = 56,
            
        /// <summary>
        /// Rhapsody
        /// </summary>
        Rhapsody = 57,
            
        /// <summary>
        /// Windows2000
        /// </summary>
        Windows2000 = 58,
            
        /// <summary>
        /// Dedicated
        /// </summary>
        Dedicated = 59,
            
        /// <summary>
        /// OS390
        /// </summary>
        OS390 = 60,
        
        /// <summary>
        /// VSE
        /// </summary>
        VSE = 61,
           
        /// <summary>
        /// TPF
        /// </summary>
        TPF = 62,
            
        /// <summary>
        /// Null
        /// </summary>
        Null = 63,
    }
}